Mark Group Conversation As unread
curl --request DELETE \
--url https://{appid}.api-{region}.cometchat.io/v3/groups/{guid}/conversation/read \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"messageId": 123
}
'import requests
url = "https://{appid}.api-{region}.cometchat.io/v3/groups/{guid}/conversation/read"
payload = { "messageId": 123 }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({messageId: 123})
};
fetch('https://{appid}.api-{region}.cometchat.io/v3/groups/{guid}/conversation/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "The messages after the message id 340 from the user demo1 are marked as unread for the user demo3."
}
}Conversations
Mark Group Conversation As unread
This API will mark the group conversation as unread.
DELETE
/
groups
/
{guid}
/
conversation
/
read
Mark Group Conversation As unread
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Path Parameters
GUID of the group whose conversation needs to be fetched.
Body
application/json
The id of the message upto which the conversation needs to be marked as unread.
Response
200 - application/json
Marking Conversation as unread
⌘I